<div nz-row [nzGutter]='[24,24]'>
  <div nz-col nzXs='24' nzLg='5' class='item__home item__home--left'>
    <div class='content__item content__item--border bg__content--default'>
      <div nz-row>
        <div nz-col nzXs='24' nzLg='24'>
          <figure class='mb__figure figure__avt'>
            <img src='{{avtBase64}}' loading='lazy' alt=''>
          </figure>
        </div>
      </div>
      <div nz-row>
        <div nz-col nzXs='24' nzLg='24'>
          <img [attr.src]="qrCodeBase64 ? qrCodeBase64 : 'assets/img/qrcode.png'" class='img__qrcode' alt=''>
        </div>
      </div>
      <div nz-row>
        <div nz-col nzXs='24' nzLg='24'>
          <span class='text_qrcode'><em class='fa fa-camera'></em> QR danh bạ</span>
        </div>
      </div>
    </div>
  </div>
  <div nz-col nzXs="24" nzLg="19" class="item__home item__home--right">
    <div class="content__item content__item--border bg__content--default">
    <div nz-row [nzGutter]="[24,24]" class="item">
      <div nz-col nzXs="24" nzLg="8">
        <mb-text-label mbLabelText="{{'staffManager.label.staffCode' | translate}}" [mbLabelValue]="data?.employeeCode"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="8">
        <mb-text-label mbLabelText="{{'staffManager.label.employeeName' | translate}}" [mbLabelValue]="data?.fullName"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="8">
        <mb-text-label mbLabelText="{{'staffManager.label.email' | translate}}" [mbLabelValue]="data?.email"></mb-text-label>
      </div>
    </div>
    <div nz-row [nzGutter]="[24,24]" class="item item__color">
      <div nz-col nzXs="24" nzLg="8">
        <mb-text-label mbLabelText="{{'staffManager.label.yearOfBirth' | translate}}" [mbLabelValue]="data?.yearOfBirth" mbValueType="date"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="8">
        <mb-text-label mbLabelText="{{'staffManager.label.sex' | translate}}" [mbLabelValue]="data?.genderName"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="8">
        <mb-text-label mbLabelText="{{'staffManager.label.phoneNumber' | translate}}" [mbLabelValue]="data?.mobileNumber"></mb-text-label>
      </div>
    </div>
    <div nz-row [nzGutter]="[24,24]" class="item">
      <div nz-col nzXs="24" nzLg="8">
        <mb-text-label mbLabelText="{{'staffManager.label.employeeType' | translate}}" [mbLabelValue]="data?.empTypeName"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="8">
        <mb-text-label mbLabelText="{{'staffManager.label.positionName' | translate}}" [mbLabelValue]="data?.positionName"></mb-text-label>
      </div>
      <div nz-col nzXs="24" nzLg="8">
        <mb-text-label mbLabelText="{{'staffManager.label.flagStatus' | translate}}" [mbLabelValue]=""></mb-text-label>
        <nz-tag [nzColor]="'magenta'" *ngIf='data?.flagStatus === 0 || !data.flagStatus'>{{ getFlagStatus(data.flagStatus ?? 0)}}</nz-tag>
        <nz-tag [nzColor]="'green'" *ngIf='data?.flagStatus === 1'>{{ getFlagStatus(data.flagStatus) }}</nz-tag>
      </div>
    </div>
    <div nz-row [nzGutter]="[24,24]" class="item item__color">
      <div nz-col nzXs="24" nzLg="24">
        <mb-text-label mbLabelText="{{'staffManager.label.orgName' | translate}}" [mbLabelValue]="data?.orgName"></mb-text-label>
      </div>
    </div>
    </div>
  </div>
</div>
